<?xml version="1.0" encoding="UTF-8"?>
<!-- Taxonomy Schema File created by AppTrend - Consolia XBRL Reporting version: Consolia XBRL Office 2.11.1.0 / TM 1.6.2 -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://www.makaronypolskie.pl/xbrl/2025-12-31"
            xmlns:xl="http://www.xbrl.org/2003/XLink"
            xmlns:xbrli="http://www.xbrl.org/2003/instance"
            xmlns:dtr-2022="http://www.xbrl.org/dtr/type/2022-03-31"
            xmlns:ixt="http://www.xbrl.org/inlineXBRL/transformation/2022-02-16"
            xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
            xmlns:ifrs-full="https://xbrl.ifrs.org/taxonomy/2024-03-27/ifrs-full"
            xmlns:ix="http://www.xbrl.org/2013/inlineXBRL"
            xmlns:xml="http://www.w3.org/XML/1998/namespace"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
            xmlns:link="http://www.xbrl.org/2003/linkbase"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            xmlns:ca="http://xbrl.org/2008/assertion/consistency"
            attributeFormDefault="unqualified"
            elementFormDefault="qualified">
    <xsd:annotation>
        <xsd:appinfo>
            <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-pl.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:linkbaseRef xlink:href="mak-2025-12-31_ref.xml" xlink:role="http://www.xbrl.org/2003/role/referenceLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:type="simple"/>
            <link:roleType id="role_000010" roleURI="http://www.makaronypolskie.pl/role/role_000010">
                <link:definition>[000010] 2025 Table from ESEF RTS Annex II</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType id="ias_1_role-210000" roleURI="http://www.makaronypolskie.pl/role/ias_1_role-210000">
                <link:definition>[210000] Statement of financial position, current/non-current</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType id="ias_1_role-410000" roleURI="http://www.makaronypolskie.pl/role/ias_1_role-410000">
                <link:definition>[410000] Statement of comprehensive income, OCI components presented net of tax</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType id="ias_1_role-610000" roleURI="http://www.makaronypolskie.pl/role/ias_1_role-610000">
                <link:definition>[610000] Statement of changes in equity</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType id="ias_7_role-520000" roleURI="http://www.makaronypolskie.pl/role/ias_7_role-520000">
                <link:definition>[520000] Statement of cash flows, indirect method</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType id="Anchoring" roleURI="http://www.makaronypolskie.pl/role/Anchoring">
                <link:definition>[000099] Anchoring</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
        </xsd:appinfo>
    </xsd:annotation>
    <xsd:import namespace="http://www.w3.org/1999/xlink"
                schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/XLink"
                schemaLocation="http://www.xbrl.org/2003/xl-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/instance"
                schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/linkbase"
                schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2009/role/net"
                schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd"/>
    <xsd:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor"
                schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
    <xsd:import namespace="https://xbrl.org/2023/calculation-1.1"
                schemaLocation="https://www.xbrl.org/2023/calculation-1.1.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/dtr/type/2022-03-31"
                schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
    <xsd:element id="mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" abstract="false" nillable="true"
                 name="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="mak_AdjustmentsForInterestIncomeExpense" abstract="false" nillable="true"
                 name="AdjustmentsForInterestIncomeExpense" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="mak_CostOfGoodsSoldAndServicesRendered" abstract="false" nillable="true"
                 name="CostOfGoodsSoldAndServicesRendered" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves" abstract="false" nillable="true"
                 name="DecreaseOfCapitalRedemptionReserveAndOtherReserves" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="mak_IncreaseOfCapitalRedemptionReserveAndOtherReserves" abstract="false" nillable="true"
                 name="IncreaseOfCapitalRedemptionReserveAndOtherReserves" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="credit"/>
    <xsd:element id="mak_RevenueFromSaleOfGoodsAndRenderingOfServices" abstract="false" nillable="true"
                 name="RevenueFromSaleOfGoodsAndRenderingOfServices" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="credit"/>
    <xsd:element id="mak_RevenueFromSalesOfMerchandiseAndMaterials" abstract="false" nillable="true"
                 name="RevenueFromSalesOfMerchandiseAndMaterials" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="duration" xbrli:balance="credit"/>
    <xsd:element id="mak_SharePremiumAndOtherReserves" abstract="false" nillable="true"
                 name="SharePremiumAndOtherReserves" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"
                 xbrli:periodType="instant" xbrli:balance="credit"/>
    <xsd:element id="mak_SharePremiumAndOtherReservesMember" abstract="true" nillable="true"
                 name="SharePremiumAndOtherReservesMember" substitutionGroup="xbrli:item" type="dtr-2022:domainItemType"
                 xbrli:periodType="duration"/>
</xsd:schema>